Bug 842252 - [Content Search] When all packages/errata loaded, the link to 'show 25 more' should be removed/disabled from UI
[Content Search] When all packages/errata loaded, the link to 'show 25 more' ...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Martin Bacovsky
Sachin Ghai
: Triaged
Depends On: 852804
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 04:56 EDT by Sachin Ghai
Modified: 2013-03-27 16:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The UI shows an extraneous "show 25 more" link after listing all packages or errata in a repository. This fix removes the link after listing all package or errata.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:47:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Complete errata is loaded but still link to 'show 25 more' is active (51.12 KB, image/png)
2012-07-23 04:56 EDT, Sachin Ghai
no flags Details
the same observation with repo. (52.45 KB, image/png)
2012-07-23 04:57 EDT, Sachin Ghai
no flags Details

  None (edit)
Description Sachin Ghai 2012-07-23 04:56:51 EDT
Created attachment 599715 [details]
Complete errata is loaded but still link to 'show 25 more' is active

Description of problem:
When you hover-over a repository under content search, the link to 'packages' and 'errata' will be available.

On clicking these links, UI list down the packages and errata with a link to 'show 25 more' on botton of the page. However the 'show 25 more' link remains active, even after loading all packages/errata on UI

Version-Release number of selected component (if applicable):
katello-0.2.47-1.git.225.b3aa579.el6_3.noarch

How reproducible:
always

Steps to Reproduce:
1. Create a RH repo and sync it
2. Go to content search, select 'Repos'
3. click on 'go'
4. From right pane, hover-on created repo
5. click on 'packages' link
6. on botton of page click on 'show 25 more'
  
Actual results:
The 'show 25 more' link remains active, even after loading all packages/errata on UI

Expected results:
When all packages/errata loaded, the link to 'show 25 more' should be removed/disabled from UI

Additional info:
Comment 1 Sachin Ghai 2012-07-23 04:57:38 EDT
Created attachment 599718 [details]
the same observation with repo.
Comment 2 Martin Bacovsky 2012-08-29 12:02:51 EDT
I tried to reproduce this bug with katello-1.1.7-1.git.31.8662665.el6.noarch which is atm closest to what should go to SE 1.1 
It seems that the design slightly changed. 
 - When I list Repositories on the right pane there is no packages link
 - When I list Packages the 'show 25 more' behaves correctly and disappears on the end of the list

Moreover the whole operation does not work because of some JS Error (bz#852804)

The issue seems to be already fixed, but to check it we need to fix bz#852804 first
Comment 3 Martin Bacovsky 2012-09-03 09:03:47 EDT
After bug bz#852804 was fixed, content search is working again. I was not able to reproduce the issue wit the 'show 25 more' button anymore. Tested on katello-1.1.9-1.git.8.9e318bb.el6.noarch
Comment 5 Sachin Ghai 2012-09-18 04:12:14 EDT
Verified with following CFSE build:

katello-qpid-client-key-pair-1.0-1.noarch
katello-common-1.1.12-7.el6cf.noarch
katello-all-1.1.12-7.el6cf.noarch
katello-cli-1.1.8-4.el6cf.noarch
katello-certs-tools-1.1.8-1.el6cf.noarch
katello-glue-candlepin-1.1.12-7.el6cf.noarch
katello-selinux-1.1.1-1.el6cf.noarch
katello-configure-1.1.9-3.el6cf.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-cli-common-1.1.8-4.el6cf.noarch
katello-glue-pulp-1.1.12-7.el6cf.noarch
katello-1.1.12-7.el6cf.noarch
katello-qpid-broker-key-pair-1.0-1.noarch


The reported issue is no longer reproducible. Once all packages/errata loaded, the link to 'show 25 more' automatically get removed.
Comment 7 errata-xmlrpc 2012-12-04 14:47:54 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.